can not install unfortunately Rated 1 out of 5 stars

can not install unfortunately, TB 24.5.0 !

This review is for a previous version of the add-on (2.2.0). 

Can you give me more details? Any error messages? Any errors in the error console? What exactly is not working?

It's working for me with Thunderbird 24.5.0, >95% of the add-on users are using 24.5.0, and you're the first to report any problem.